Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xqj
Class XQCommonHandler

    java.lang.Object
      org.exist.xqj.XQCommonHandler

All Implemented Interfaces:
  javax.xml.xquery.XQCommonHandler

public class XQCommonHandler
extends java.lang.Object
implements javax.xml.xquery.XQCommonHandler

Author:
  Adam Retter

Constructor Summary
`XQCommonHandler()`

Method Summary
`javax.xml.xquery.XQItem` | `fromObject(java.lang.Object obj)`
`java.lang.Object` | `toObject(javax.xml.xquery.XQItemAccessor item)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XQCommonHandler

    public XQCommonHandler()

Method Detail

### fromObject

    public javax.xml.xquery.XQItem fromObject(java.lang.Object obj)
                                       throws javax.xml.xquery.XQException

  Specified by:
    `fromObject` in interface `javax.xml.xquery.XQCommonHandler`
  Throws:
    `javax.xml.xquery.XQException`

### toObject

    public java.lang.Object toObject(javax.xml.xquery.XQItemAccessor item)
                              throws javax.xml.xquery.XQException

  Specified by:
    `toObject` in interface `javax.xml.xquery.XQCommonHandler`
  Throws:
    `javax.xml.xquery.XQException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.